Name:          sile
Version:       0.14.3
Release:       1%{?dist}
Summary:       The SILE Typesetter

License:       MIT
URL:           https://sile-typesetter.org
Source0:       https://github.com/sile-typesetter/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

Requires:      fontconfig
Requires:      harfbuzz
Requires:      libicu
Requires:      libtexpdf
Requires:      lua
Requires:      lua-cassowary
Requires:      lua-cldr
Requires:      lua-cliargs
Requires:      lua-cosmo
Requires:      lua-expat
Requires:      lua-filesystem
Requires:      lua-fluent
Requires:      lua-linenoise
Requires:      lua-loadkit
Requires:      lua-lpeg
Requires:      lua-luaepnf
Requires:      lua-luautf8
Requires:      lua-penlight
Requires:      lua-repl
Requires:      lua-sec
Requires:      lua-vstruct
Requires:      lua-zlib
Requires:      sil-gentium-plus-fonts

Recommends:    catharsis-cormorant-infant-fonts
Recommends:    gdouros-symbola-fonts
Recommends:    google-noto-sans-cjk-jp-fonts
Recommends:    google-noto-sans-ethiopic-fonts
Recommends:    google-roboto-condensed-fonts
Recommends:    sil-gentium-basic-book-fonts
Recommends:    sil-lateef-fonts
Recommends:    texlive-libertinus-fonts

BuildRequires: pkgconfig(fontconfig)
BuildRequires: gcc
BuildRequires: git
BuildRequires: pkgconfig(harfbuzz)
BuildRequires: pkgconfig(icu-io)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: libtexpdf-devel
BuildRequires: lua-cassowary
BuildRequires: lua-cldr
BuildRequires: lua-cliargs
BuildRequires: lua-cosmo
BuildRequires: lua-devel
BuildRequires: lua-expat
BuildRequires: lua-fluent
BuildRequires: lua-linenoise
BuildRequires: lua-loadkit
BuildRequires: lua-luaepnf
BuildRequires: lua-luautf8
BuildRequires: lua-penlight
BuildRequires: lua-repl
BuildRequires: lua-sec
BuildRequires: lua-vstruct
BuildRequires: lua-zlib
BuildRequires: luarocks
BuildRequires: make

%description
SILE (Simon's Improved Layout Engine) is a typesetting system; its job is to
produce beautiful printed documents. Conceptually, SILE is similar to TeX--from
which it borrows some concepts and even syntax and algorithms--but the
similarities end there.  Rather than being a derivative of the TeX family SILE
is a new typesetting and layout engine written from the ground up using modern
technologies and borrowing some ideas from graphical systems such as InDesign.

%package doc
BuildArch:     noarch
Summary:       Manual and example documents for SILE

%description doc
This package contains the manual for SILE, and a few example documents built
with SILE.

%prep
%autosetup

%build
%configure --with-system-libtexpdf --with-system-luarocks --with-manual --with-examples
%make_build

%install
rm -rf %{buildroot}
%make_install

# We don't ship .la files
rm -f %{buildroot}%{_libdir}/%{name}/*.la

%files
%doc README.md CHANGELOG.md
%license LICENSE
%dir %{_datadir}/%{name}
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_libdir}/%{name}/*.so
%{_mandir}/man1/%{name}.1*

%files doc
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*

%changelog
* Sat Sep 03 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.14.3-1
- Update to SILE 0.14.3

* Sat Aug 13 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.14.2-1
- Update to SILE 0.14.2

* Sun Aug 07 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.14.1-1
- Update to SILE 0.14.1

* Tue Jul 19 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.13.3-3
- Use pkgconfig where possible

* Sat Jul 16 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.13.3-2
- Remove untested dependency changes

* Sat Jul 16 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.13.3-1
- Update to SILE 0.13.3

* Thu Jun 30 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.13.2-2
- Fix dependency issues: Add lua-fluent, re-add lua-stdlib

* Thu Jun 30 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.13.2-1
- Update to SILE 0.13.2

* Mon Apr 18 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.12.5-1
- Update to SILE 0.12.5

* Sat Apr 16 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.12.4-1
- Update to SILE 0.12.4

* Sat Apr 16 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.12.3-1
- Update to SILE 0.12.3

* Mon Jan 31 2022 Johannes Maibaum <jmaibaum@gmail.com> - 0.12.2-1
- Update to SILE 0.12.2

* Sat Oct 23 2021 Johannes Maibaum <jmaibaum@gmail.com> - 0.12.0-3
- Recommend fonts used in the SILE manual, though Hack is still missing

* Sat Oct 23 2021 Johannes Maibaum <jmaibaum@gmail.com> - 0.12.0-2
- Add missing lua-sec dependency

* Mon Oct 18 2021 Johannes Maibaum <jmaibaum@gmail.com> - 0.12.0-1
- Update to SILE 0.12.0

* Sun Jul 25 2021 Johannes Maibaum <jmaibaum@gmail.com> - 0.10.15-1
- Initial spec file for sile
